apiVersion: leaderworkerset.x-k8s.io/v1
kind: LeaderWorkerSet
metadata:
  name: lws
  namespace: test-qe
  labels:
    kueue.x-k8s.io/queue-name: local
spec:
  replicas: 2
  startupPolicy: LeaderReady
  leaderWorkerTemplate:
    size: 3 
    leaderTemplate: 
      spec:
        containers:
        - name: leader
          image: quay.io/openshift/origin-cli:latest
          command:
          - sh
          - -c
          - sleep 2600
          resources:
            requests:
              cpu: 100m
              memory: 128Mi
    workerTemplate: 
      spec:
        containers:
        - name: worker
          image: quay.io/openshift/origin-cli:latest
          command:
          - sh
          - -c
          - sleep 3600
          resources:
            requests:
              cpu: 300m
              memory: 128Mi
